NAME="desktop-file-utils"
DESC="Desktop File Utils package contains command line utilities for working with Desktop entries"
VERSION="0.26"
FILES=(
  "https://www.freedesktop.org/software/desktop-file-utils/releases/desktop-file-utils-$VERSION.tar.xz"
  "https://www.linuxfromscratch.org/patches/blfs/12.0/desktop-file-utils-$VERSION-update_standard-1.patch"
)
HASHES=(
  "29739e005f5887cf41639b8450f3c23f"
  "9cfe5cf2640348702b4db75c2fdd065627c78dbe2eca0c28e22ba7e22ea14de5"
)
DEPENDS=("glib")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  patch -Np1 -i ../desktop-file-utils-$VERSION-update_standard-1.patch

  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release .. 
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}
