NAME="gstreamer"
DESC="Streaming media framework"
VERSION="1.22.5"
FILES=("https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-$VERSION.tar.xz")
HASHES=("b138307f1f84ed3a77a22a337e2af398")
DEPENDS=("glib" "gobject-introspection")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson  setup ..          \
       --prefix=/usr       \
       --buildtype=release \
       -Dgst_debug=false   \
       -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/12.0-systemd/ \
       -Dpackage-name="GStreamer $VERSION"
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -rf $NAME-$VERSION
}
